Bug 191922 - Review Request: dbus-qt: Qt-based library for using D-BUS
Review Request: dbus-qt: Qt-based library for using D-BUS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-16 10:13 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 23:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-05-16 10:13:24 EDT
FC-5:
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/dbus-qt-0.61.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/SRPMS/dbus-qt-0.61-1.src.rpm

FC-4:
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/dbus-qt-0.33.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/SRPMS/dbus-qt-0.33-4.src.rpm

Description:
D-BUS add-on library to integrate the standard D-BUS library with
the Qt3 thread abstraction and main loop
Comment 1 Dennis Gilmore 2006-05-16 10:55:50 EDT
Getting a 403  error  on the SRPMS dir
Comment 3 Dennis Gilmore 2006-05-16 11:25:48 EDT
./configure: line 26644: ./po/POTFILES.in: No such file or directory
checking for XML_ParserCreate_MM in -lexpat... no
checking for libxml-2.0... configure: error: No XML library found, check 
config.log for failed attempts
error: Bad exit status from /var/tmp/rpm-tmp.32594 (%build)

there is a missing BuildRequires:  libxml2-devel
Comment 4 Rex Dieter 2006-05-16 11:28:47 EDT
??? It's there in my copy of dbus-qt-0.61.spec:
BuildRequires: qt-devel
BuildRequires: libxml2-devel
Comment 5 Dennis Gilmore 2006-05-29 13:30:47 EDT
[dennis@files ~]$ 
rpmlint /var/lib/mock/fedora-4-x86_64-core/result/dbus-qt-0.33-4.x86_64.rpm
W: dbus-qt invalid-license AFL/GPL
E: dbus-qt library-without-ldconfig-postin /usr/lib64/libdbus-qt-1.so.1.0.0
E: dbus-qt library-without-ldconfig-postun /usr/lib64/libdbus-qt-1.so.1.0.0

need 
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
Comment 7 Dennis Gilmore 2006-05-29 23:40:05 EDT
- MUST: rpmlint must be run on every package. The output should be posted in 
the review.
W: dbus-qt invalid-license AFL/GPL
OK
 - MUST: The package must be named according to the Package Naming Guidelines.
OK
 - MUST: The spec file name must match the base package %{name}, in the format 
%{name}.spec 
dbus-qt-0.61.spec  is ok for review since there is two different versions  but 
must be changed when imported
 - MUST: The package must meet the  Packaging Guidelines.
OK
 - MUST: The package must be licensed with an open-source compatible license 
and meet other legal requirements as defined in the legal section of Packaging 
Guidelines.
OK
 - MUST: The License field in the package spec file must match the actual 
license.
OK http://dbus.freedesktop.org/doc/dbus-faq.html says  both GPL and AFL
 - MUST: If (and only if) the source package includes the text of the 
license(s) in its own file, then that file, containing the text of the 
license(s) for the package must be included in %doc.
OK  this is done
 - MUST: The spec file must be written in American English.
OK
 - MUST: The spec file for the package MUST be legible. 
OK
 - MUST: The sources used to build the package must match the upstream source, 
as provided in the spec URL. Reviewers should use md5sum for this task.
cfd4f26004e4304e0dace4d82894e50b  dbus-0.61.tar.gz
cfd4f26004e4304e0dace4d82894e50b  ../SOURCES/dbus-0.61.tar.gz
23db7f95dbb1fcae6e1d43fcc17857aa  dbus-0.33.tar.gz
23db7f95dbb1fcae6e1d43fcc17857aa  ../SOURCES/dbus-0.33.tar.gz
OK
 - MUST: The package must successfully compile and build into binary rpms on 
at least one supported architecture.
built in mock on X86_64 and i386
 - MUST: All build dependencies must be listed in BuildRequires.
OK
 - MUST: The spec file MUST handle locales properly. This is done by using the 
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK  no langs
 - MUST: If the package contains shared library files located in the dynamic 
linker's default paths, that package must call ldconfig in %post and %postun. 
If the package has multiple subpackages with libraries, each subpackage should 
also have a %post/%postun section that calls /sbin/ldconfig. An example of the 
correct syntax for this is: 
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
OK  this is done

 
- MUST: If the package is designed to be relocatable, the packager must state 
this fact in the request for review, along with the rationalization for 
relocation of that specific package. Without this, use of Prefix: /usr is 
considered a blocker.
OK  not relocatable
 - MUST: A package must own all directories that it creates. 
NOT OK  package creates no directories  but does not require dbus
 - MUST: A package must not contain any duplicate files in the %files listing.
OK
 - MUST: Permissions on files must be set properly. Executables should be set 
with executable permissions, for example. Every %files section must include a 
%defattr(...) line.
OK
 - MUST: Each package must have a %clean section, which contains rm -rf 
%{buildroot} (or $RPM_BUILD_ROOT).
OK
 - MUST: Each package must consistently use macros, as described in the macros 
section of Packaging Guidelines. 
OK
 - MUST: The package must contain code, or permissable content. This is 
described in detail in the code vs. content section of Packaging Guidelines. 
OK
 - MUST: Large documentation files should go in a -doc subpackage. (The 
definition of large is left up to the packager's best judgement, but is not 
restricted to size. Large can refer to either size or quantity)
OK  not applicable
 - MUST: If a package includes something as %doc, it must not affect the 
runtime of the application. To summarize: If it is in %doc, the program must 
run properly if it is not present. 
OK
 - MUST: Header files or static libraries must be in a -devel package.
OK  devel package contains  the correct files
 - MUST: Files used by pkgconfig (.pc files) must be in a -devel package.
OK no use of pkgconfig
 - MUST: If a package contains library files with a suffix (e.g. 
libfoo.so.1.1), then library files that end in .so (without suffix) must go in 
a -devel package.
OK  done
 - MUST: In the vast majority of cases, devel packages must require the base 
package using a fully versioned dependency.
OK
 - MUST: Packages must NOT contain any .la libtool archives, these should be 
removed in the spec.
OK  removed from package
 - MUST: Packages containing GUI applications must include a %{name}.desktop 
file
No .desktop files ok
 - MUST: Packages must not own files or directories already owned by other 
packages.
OK


Package needs to require dbus-%{version}  and have spec file names meet the 
standard  dbus-qt.spec Then this is APPROVED
Comment 9 Dennis Gilmore 2006-05-30 09:50:52 EDT
APPROVED

Please correct the spec file names when you import  they MUST be dbus-qt.spec
Comment 10 Dennis Gilmore 2006-06-28 23:04:00 EDT
closing as dbus-qt  is in extras now

Note You need to log in before you can comment on or make changes to this bug.